version: "3.8"
services:
  postgres.db:
    container_name: postgres.port
    image: postgres:14.2
    restart: always
    ports:
      - 5432:5432
    environment:
      POSTGRES_PASSWORD: port
      POSTGRES_USER: port
      POSTGRES_DB: port
    networks:
      - port-net
  #    volumes:
  #      - ./postgres-volume:/var/lib/postgresql/data

  redis.cache:
    container_name: redis.port
    image: redis:6.2.6
    restart: always
    command: redis-server --appendonly yes
    ports:
      - 6379:6379
    networks:
      - port-net
#    volumes:
#      - ./redis-volume:/data

#volumes:
#  redis-volume:
#  postgres-volume:

networks:
  port-net: